import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class TreemapDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private a9;
    get valueMemberPath(): string;
    set valueMemberPath(a: string);
    private a7;
    get rootTitle(): string;
    set rootTitle(a: string);
    private am;
    get breadcrumbSequence(): string;
    set breadcrumbSequence(a: string);
    private a6;
    get parentIdMemberPath(): string;
    set parentIdMemberPath(a: string);
    private aw;
    get labelMemberPath(): string;
    set labelMemberPath(a: string);
    private an;
    get customValueMemberPath(): string;
    set customValueMemberPath(a: string);
    private av;
    get idMemberPath(): string;
    set idMemberPath(a: string);
    private ao;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private f;
    get fillBrushes(): string[];
    set fillBrushes(a: string[]);
    private ap;
    get fillScaleMode(): string;
    set fillScaleMode(a: string);
    private h;
    get isFillScaleLogarithmic(): boolean;
    set isFillScaleLogarithmic(a: boolean);
    private ah;
    get fillScaleLogarithmBase(): number;
    set fillScaleLogarithmBase(a: number);
    private l;
    get fillScaleMinimumValue(): number;
    set fillScaleMinimumValue(a: number);
    private k;
    get fillScaleMaximumValue(): number;
    set fillScaleMaximumValue(a: number);
    private ar;
    get headerHoverBackground(): string;
    set headerHoverBackground(a: string);
    private aq;
    get headerBackground(): string;
    set headerBackground(a: string);
    private at;
    get headerTextColor(): string;
    set headerTextColor(a: string);
    private a8;
    get textColor(): string;
    set textColor(a: string);
    private as;
    get headerHoverTextColor(): string;
    set headerHoverTextColor(a: string);
    private _fontFamily;
    get fontFamily(): string;
    set fontFamily(a: string);
    private _fontSize;
    get fontSize(): number;
    set fontSize(a: number);
    private _fontStyle;
    get fontStyle(): string;
    set fontStyle(a: string);
    private _fontWeight;
    get fontWeight(): string;
    set fontWeight(a: string);
    private _headerFontFamily;
    get headerFontFamily(): string;
    set headerFontFamily(a: string);
    private _headerFontSize;
    get headerFontSize(): number;
    set headerFontSize(a: number);
    private _headerFontStyle;
    get headerFontStyle(): string;
    set headerFontStyle(a: string);
    private _headerFontWeight;
    get headerFontWeight(): string;
    set headerFontWeight(a: string);
    private o;
    get headerLabelLeftMargin(): number;
    set headerLabelLeftMargin(a: number);
    private q;
    get headerLabelTopMargin(): number;
    set headerLabelTopMargin(a: number);
    private p;
    get headerLabelRightMargin(): number;
    set headerLabelRightMargin(a: number);
    private n;
    get headerLabelBottomMargin(): number;
    set headerLabelBottomMargin(a: number);
    private m;
    get headerHeight(): number;
    set headerHeight(a: number);
    private a5;
    get outline(): string;
    set outline(a: string);
    private t;
    get strokeThickness(): number;
    set strokeThickness(a: number);
    private ax;
    get layoutOrientation(): string;
    set layoutOrientation(a: string);
    private ay;
    get layoutType(): string;
    set layoutType(a: string);
    private r;
    get minimumDisplaySize(): number;
    set minimumDisplaySize(a: number);
    private ai;
    get transitionDuration(): number;
    set transitionDuration(a: number);
    private s;
    get pixelScalingRatio(): number;
    set pixelScalingRatio(a: number);
    private j;
    get actualPixelScalingRatio(): number;
    set actualPixelScalingRatio(a: number);
    private a4;
    get nodeStylingRef(): string;
    set nodeStylingRef(a: string);
    private a1;
    get nodePointerOverRef(): string;
    set nodePointerOverRef(a: string);
    private az;
    get nodePointerEnterRef(): string;
    set nodePointerEnterRef(a: string);
    private a0;
    get nodePointerLeaveRef(): string;
    set nodePointerLeaveRef(a: string);
    private a2;
    get nodePointerPressedRef(): string;
    set nodePointerPressedRef(a: string);
    private a3;
    get nodePointerReleasedRef(): string;
    set nodePointerReleasedRef(a: string);
    private ba;
    get width(): string;
    set width(a: string);
    private au;
    get height(): string;
    set height(a: string);
    private al;
    get background(): string;
    set background(a: string);
}
